/* Copyright (C) Arm Limited, 2020 All rights reserved. 
 * The example code is provided to you as an aid to learning when working 
 * with Arm-based technology, including but not limited to programming tutorials. 
 * Arm hereby grants to you, subject to the terms and conditions of this Licence, 
 * a non-exclusive, non-transferable, non-sub-licensable, free-of-charge licence, 
 * to use and copy the Software solely for the purpose of demonstration and 
 * evaluation.
 * You accept that the Software has not been tested by Arm therefore the Software 
 * is provided "as is", without warranty of any kind, express or implied. In no 
 * event shall the authors or copyright holders be liable for any claim, damages 
 * or other liability, whether in action or contract, tort or otherwise, arising 
 * from, out of or in connection with the Software or the use of Software.
 */
#include <stdio.h>

					
extern int my_maximum_u32(unsigned int * pSrc, unsigned int blkCnt, unsigned int * pResult);
					
int main()
{
  // Setup data in input array.
  unsigned int A_src[] = {1, 1, 3, 4, 2, 1, 1, 3, 8, 6, 2, 6, 6, 1, 3, 2, 9, 1};
  unsigned int  *pA_src = A_src;

  // Setup result variable
  unsigned int result;
  unsigned int *pResult = &result;

  // Get the number of elements in the array
  unsigned int numElements = sizeof(A_src) / sizeof(int);

  // Call the maximum function
  my_maximum_u32(pA_src, numElements, pResult);

  // Print the result
  printf("Maximum = %d\n", result);

}

